Page MenuHomePhabricator

[sanitizer] Extend sancov.py to show which PCs are missing from coverage.
ClosedPublic

Authored by earthdok on Apr 23 2015, 10:58 AM.

Details

Reviewers
kcc
Summary

Example usage:

sancov.py print a.out.1234.sancov | sancov.py missing a.out

Diff Detail

Event Timeline

earthdok updated this revision to Diff 24315.Apr 23 2015, 10:58 AM
earthdok retitled this revision from to [sanitizer] Extend sancov.py to show which PCs are missing from coverage..
earthdok updated this object.
earthdok edited the test plan for this revision. (Show Details)
earthdok added a reviewer: kcc.
earthdok added a subscriber: Unknown Object (MLST).
earthdok updated this revision to Diff 24318.Apr 23 2015, 11:34 AM
  • update regexp
kcc edited edge metadata.May 4 2015, 1:43 PM

looks good, but I wonder if a test can be added?
The pc-=4 hack is unfortunate, but I don't see a better fix...

In D9228#165634, @kcc wrote:

looks good, but I wonder if a test can be added?

That would make python a requirement for running the test suite, not sure if good idea.

kcc added a comment.May 6 2015, 8:51 AM
In D9228#165634, @kcc wrote:

looks good, but I wonder if a test can be added?

That would make python a requirement for running the test suite, not sure if good idea.

We already have tests that run sancov.py

earthdok updated this revision to Diff 25074.May 6 2015, 11:29 AM
earthdok edited edge metadata.
  • update regexp
  • fix regexp: accept "call", accept "@plt"
  • testcase
In D9228#166797, @kcc wrote:

We already have tests that run sancov.py

Done.

earthdok updated this revision to Diff 25079.May 6 2015, 12:04 PM
  • fix meaningless sorts
kcc accepted this revision.May 6 2015, 1:34 PM
kcc edited edge metadata.

LGTM, thanks!

Once committed, please also update the docs at http://clang.llvm.org/docs/SanitizerCoverage.html#how-good-is-the-coverage

This revision is now accepted and ready to land.May 6 2015, 1:34 PM

Committed r236637

In D9228#167162, @kcc wrote:

LGTM, thanks!

Once committed, please also update the docs at http://clang.llvm.org/docs/SanitizerCoverage.html#how-good-is-the-coverage

Committed r236641

kcc added a comment.May 6 2015, 2:16 PM

Perfect!